////////////////////////////////////////////////////////////////////// 
// lamp/Validator.h 
// (c) 2000-2006 Goncalo Abecasis
// 
// This file is distributed as part of the LAMP source code package   
// and may not be redistributed in any form, without prior written    
// permission from the author. Permission is granted for you to       
// modify this file for your own personal use, but modified versions  
// must retain this copyright notice and must not be distributed.     
// 
// Permission is granted for you to use this file to compile LAMP.    
// 
// All computer programs have bugs. Use this file at your own risk.   
// 
// Wednesday March 29, 2006
// 
 
#ifndef __VALIDATOR_H__
#define __VALIDATOR_H__

#include "Pedigree.h"
#include "MarkerMap.h"

#define    NO_LINKAGE_INFORMATION      0
#define    SOME_LINKAGE_INFORMATION    1
#define    FULL_LINKAGE_INFORMATION    2

class Validator
   {
   public:

      static void TrimPedigree(Pedigree & ped, MarkerMap & map1, MarkerMap & map2);
      static int  EvaluateSample(Pedigree & ped, int affection);

      static bool UnrelatedsOnly(Pedigree & ped);
      static int  FamilyBits(Pedigree & ped);
      static int  FastFamilyBits(Pedigree & ped);

   private:

      static bool isPhenotyped(Person & p);
      static bool isInformative(Person & p);

   };


#endif


 
